<?php

return array(
	
	'sector_id' => array(
		'value' => '',
		'title' => $this->_w('Sector ID'),
		'description' => $this->_w('Your individual customer number'),
		'control_type' => waHtmlControl::INPUT
	),
	
	'password' => array(
		'value' => '',
		'title' => $this->_w('Password'),
		'description' => $this->_w('Password used to generate a digital signature'),
		'control_type' => waHtmlControl::INPUT
	),
	
	'payment_method' => array(
		'value' => '',
		'title' => $this->_w('Payment method'),
		'description' => '* ' . $this->_w('Payment occurs after confirmation by the manager in Paygine personal account'),
		'control_type' => waHtmlControl::SELECT,
		'options' => $this->getAllPaymentMethods(),
	),
	
	'modal_payform' => array(
		'value' => 0,
		'title' => $this->_w('Open the payment form in modal window'),
		'control_type' => waHtmlControl::CUSTOM . ' ' . 'payginePayment::ModalPayformCustomControl',
		'description' => $this->_w('When this option is enabled, the payment form opens in a modal window') .
			'<br>' .
			$this->_w('Works only when you select the following payment methods: Acquiring, SBP, Plait'),
	),
	
	'test_mode' => array(
		'value' => 1,
		'title' => $this->_w('Test Mode'),
		'description' => $this->_w('Use emulation of real work. Buyer will not be charged'),
		'control_type' => waHtmlControl::SELECT,
		'options' => array(
			0 => $this->_w('No'),
			1 => $this->_w('Yes'),
		),
	),
	
	'tax' => array(
		'value' => 6,
		'title' => $this->_w('Tax'),
		'control_type' => waHtmlControl::SELECT,
		'options' => array(
			1 => $this->_w('VAT rate 20%'),
			2 => $this->_w('VAT rate 10%'),
			3 => $this->_w('VAT rate calc. 20/120'),
			4 => $this->_w('VAT rate calc. 10/110'),
			5 => $this->_w('VAT rate 0%'),
			6 => $this->_w('Not subject to VAT'),
		)
	),
	
	'hash_algo' => array(
		'value' => 'md5',
		'title' => $this->_w('Data encryption algorithm'),
		'control_type' => waHtmlControl::SELECT,
		'options' => array(
			'md5' => 'MD5',
			'sha256' => 'SHA256'
		),
		'description' => $this->_w('Must match your sector encryption settings in your personal account')
	),
	
	'order_statuses_title' => array(
		'value' => $this->_w('Custom statuses for orders'),
		'control_type' => waHtmlControl::CUSTOM . ' ' . 'payginePayment::TitleCustomControl',
	),
	
	'order_registered' => array(
		'title' => $this->_w('Order registered'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	),
	
	'order_authorized' => array(
		'title' => $this->_w('Order authorized'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	),
	
	'order_loan' => array(
		'title' => $this->_w('Loan agreement approved but not signed'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	),
	
	'order_completed' => array(
		'title' => $this->_w('Order successfully paid'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	),
	
	'order_canceled' => array(
		'title' => $this->_w('Order cancelled'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	),
	
	'notify_customer_title' => array(
		'value' => $this->_w('Order confirmation'),
		'control_type' => waHtmlControl::CUSTOM . ' ' . 'payginePayment::TitleCustomControl',
		'description' => payginePayment::shopPluginEnabled() ?
			$this->_w('Payment occurs after confirmation of the order by the manager on the order page or in the personal account') :
			$this->_w('To use this setting, Enable the additional Paygine plugin in') . ' ' . '<a href="' . wa()->getAppUrl('installer') . 'assets/">' . $this->_w('Installer') . '</a>',
	),
	
	'notify_customer' => payginePayment::shopPluginEnabled() ? array(
		'value' => 1,
		'title' => $this->_w('Enabled'),
		'control_type' => waHtmlControl::CUSTOM . ' ' . 'payginePayment::NotifyCustomerCustomControl',
	) : array(),
	
	'order_waiting_payment' => payginePayment::shopPluginEnabled() ? array(
		'title' => $this->_w('Payment awaited'),
		'description' => '',
		'control_type' => waHtmlControl::SELECT,
		'options_callback' => array('payginePayment', 'getAllOrderStates'),
		'value' => '',
	) : array(),
	
);
